package test.resource;

import java.util.ArrayList;
import java.util.List;

import test.servlet.event.get.TestGetCategories;
import test.servlet.event.get.TestImportDataFacebook;
import test.servlet.event.get.TestSearch;
import test.servlet.event.post.TestCreateCategory;
import test.servlet.event.post.TestSetCategory;
import test.servlet.user.post.TestCreateUser;
import test.servlet.user.post.TestLogin;

public class Run {

	public static void main (String [] args){
		
		List<ServletTest> tests = new ArrayList<ServletTest>();
		
		tests.add(new TestImportDataFacebook() );
		tests.add(new TestGetCategories());
		tests.add(new TestSearch());
		
		
		tests.add(new TestCreateCategory());
		tests.add(new TestSetCategory());
		
		
		tests.add(new TestCreateUser());
		tests.add(new TestLogin());
		
		for(ServletTest test : tests)
		{
			test.runTest();
		}
		
	}

}
